asn1_create_element(3)

NAME
asn1_create_element - API function

SYNOPSIS
#include <libtasn1.h>

int asn1_create_element(asn1_node definitions, const char * source_name, asn1_node * element);

ARGUMENTS

asn1_node definitions
    pointer to the structure returned by "parser_asn1" function

const char * source_name
    the name of the type of the new structure (must be inside p_structure).

asn1_node * element
    pointer to the structure created.

DESCRIPTION
Creates a structure of type source_name . Example using "pkix.asn":

rc = asn1_create_element(cert_def, "PKIX1.Certificate", certptr);

RETURNS
ASN1_SUCCESS if creation OK, ASN1_ELEMENT_NOT_FOUND if
 source_name is not known.

COPYRIGHT
Copyright © 2006-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/libtasn1/manual/